<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>현대자동차 대기환경 모니터링 시스템</title>
    <link rel="stylesheet" href="styles.css">
    <link rel="stylesheet" href="assets/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.7.2/font/bootstrap-icons.css">
    <script src="https://cdn.sheetjs.com/xlsx-0.19.3/package/dist/xlsx.full.min.js"></script>
</head>
<body class="bg-light">
    <!-- Main Menu -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
        <div class="container-fluid">
            <a class="navbar-brand" href="#">
                <i class="bi bi-speedometer2 me-2"></i>
                현대자동차 대기환경 모니터링 시스템
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav me-auto">
                    <li class="nav-item">
                        <a class="nav-link active" href="#" data-page="overview">
                            <i class="bi bi-house-door me-1"></i>종합정보
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#" data-page="monitoring">
                            <i class="bi bi-graph-up me-1"></i>모니터링
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#" data-page="map-monitoring">
                            <i class="bi bi-map me-1"></i>맵 모니터링
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#" data-page="statistics">
                            <i class="bi bi-bar-chart me-1"></i>통계분석
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#" data-page="settings">
                            <i class="bi bi-gear me-1"></i>설정
                        </a>
                    </li>
                </ul>
                <div class="d-flex align-items-center">
                    <div class="text-white me-3" id="current-time"></div>
                    <button class="btn btn-outline-light btn-sm" id="logout-btn">
                        <i class="bi bi-box-arrow-right me-1"></i>로그아웃
                    </button>
                </div>
            </div>
        </div>
    </nav>

    <!-- Content Area -->
    <div class="container-fluid mt-3">
        <div id="content-area">
            <!-- Content will be loaded here -->
        </div>
    </div>

    <script src="app.js"></script>
    <script src="assets/js/bootstrap.bundle.min.js"></script>
</body>
</html> 